Subject: [Sip] How to reject a binding for REGISTER

From: [email-masked]
Date: Wed, 19 Jul 2006 10:38:06 +0530

Hi,

If registrar receives a REGISTER request with two Contact headers, and 
registrar wants to register only one binding,
how it can indicate this in the response message (should it omit the 
Contact header not supported in 200 ok response)

One scenario happening is UAC sending two Contact headers with same IP and 
port but protocol as TCP and UDP, but server does not support TCP, so it 
want to only create binding for UDP Contact header, so it wants to 
indicate to UAC that it has created only one binding.

Thanks,
Udit
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Retesh Chadha <[email-masked]>
Date: Wed, 19 Jul 2006 11:45:57 +0530

Hi
I didnt find this mentioned in RFC 3261 and so this means that its upto 
the particular Registrar implementation.
But I think it should send 200 ok with the current bindings (ie omitting 
the un-acceptable contact). 200 ok is the only appropriate response here, 
because REGISTER request is valid and atleast one contact is accepted by 
the Registrar.

Regards
Retesh

[email-masked] 
07/19/2006 10:38 AM

To
[email-masked]
cc
[email-masked]
Subject
[Sip] How to reject a binding for REGISTER

Hi, 

Thanks, 
Udit _______________________________________________

***********************  FSS-Unclassified   ***********************

---

From: "Joegen E. Baclor" <[email-masked]>
Date: Wed, 19 Jul 2006 21:54:44 +0800

I think the Registrar should just accept the binding.   Registars and 
proxies are not always the same application.   The decision what  
transport to be used to contact the registered user is between the Proxy 
and the caller, not between the Registrar and the registered user.

Retesh Chadha wrote:
>
> Hi
> I didnt find this mentioned in RFC 3261 and so this means that its 
> upto the particular Registrar implementation.
> But I think it should send 200 ok with the current bindings (ie 
> omitting the un-acceptable contact). 200 ok is the only appropriate 
> response here, because REGISTER request is valid and atleast one 
> contact is accepted by the Registrar.
>
> Regards
> Retesh
>
>
>
> [email-masked]*
>
> 07/19/2006 10:38 AM
>
> 	
> To
> 	[email-masked]
> cc
> One scenario happening is UAC sending two Contact headers with same IP 
> and port but protocol as TCP and UDP, but server does not support TCP, 
> so it want to only create binding for UDP Contact header, so it wants 
> to indicate to UAC that it has created only one binding.
>
> Thanks,
> ------------------------------------------------------------------------
>

---

From: "Gaurav Kheterpal" <[email-masked]>
Date: Wed, 19 Jul 2006 10:57:51 +0530

Refer to Section 10.2.1 in RFC 3261:

"The 2xx response to the REGISTER request will contain, in a Contact header
field, a complete list of bindings that have been registered for this
address-of-record at this registrar."

The registrar will only add those URIs in the Contact headers for 200 OK for
which it has been successfully been able to create a AOR binding.

As for the differentiation between TCP & UDP, I think it can be done in a
way similar to the original INVITE request:

Contact:..@<...>;transport=udp

If the registrar does not support TCP, it will not add the corresponding
CONTACT header in 200 OK.

A similar thread for INVITE might help: 
https://lists.cs.columbia.edu/pipermail/sip-implementors/2004-July/006694.ht
ml

I hope this helps.

Regards,
Gaurav

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Wednesday, July 19, 2006 10:38 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Sip-implementors] How to reject a binding for REGISTER

Hi,

Thanks,
Udit
_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors